Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class AdditionalFieldsType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.AdditionalFieldsType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:29:14+02:00",
               comments="JAXB RI v2.2.11")
    public class AdditionalFieldsType

extends Object
implements Serializable

Future Proof. If additional data would be added to SAM, the field name and value are presented as a Key Value pair.

Java class for AdditionalFieldsType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AdditionalFieldsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Key" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Value" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AdditionalFieldsType()`

Method Summary
`String` | `getKey()` Gets the value of the key property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setKey(String value)` Sets the value of the key property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdditionalFieldsType

    public AdditionalFieldsType()

Method Detail

### getKey

    public String getKey()

  Gets the value of the key property.

  Returns:
    possible object is `String`

### setKey

    public void setKey(String value)

  Sets the value of the key property.

  Parameters:
    `value` - allowed object is `String`

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.